2020-08-13 16:52 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002645Spring engineGeneralpublic2011-09-09 16:00
ReporterjK 
Assigned Tohoijui 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version83.0 
Summary0002645: LOG section system in Sound.cpp fails
DescriptionIt doesn't print the default info output anymore w/o enabling the whole log section
Additional Informationwith default info I mean:
[f=0000000] [Sound] OpenAL info:
[f=0000000] [Sound] Vendor: OpenAL Community
[f=0000000] [Sound] Version: 1.1 ALSOFT 1.12.854
[f=0000000] [Sound] Renderer: OpenAL Soft
[f=0000000] [Sound] AL Extensions: AL_EXTX_buffer_sub_data AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
[f=0000000] [Sound] ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context
[f=0000000] [Sound] ALC_EXT_EFX found (required for air absorption): yes
[f=0000000] [Sound] Device: ALSA Software
[f=0000000] [Sound] Available Devices:
[f=0000000] [Sound] PulseAudio Software
[f=0000000] [Sound] ALSA Software
[f=0000000] [Sound] OSS Software
[f=0000000] [Sound] PortAudio Software
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0007338

jK (developer)

or is "Sound" just missing in the default logsections?

~0007351

hoijui (reporter)

yep, that was it! :-)

resolved by:
https://github.com/spring/spring/commit/8dc52a13c5075d4a9ba2d8f4f2325609c7e1d057
+Notes

-Issue History
Date Modified Username Field Change
2011-09-08 07:04 jK New Issue
2011-09-08 07:05 jK Note Added: 0007338
2011-09-08 10:00 hoijui Status new => assigned
2011-09-08 10:00 hoijui Assigned To => hoijui
2011-09-09 16:00 hoijui Note Added: 0007351
2011-09-09 16:00 hoijui Status assigned => resolved
2011-09-09 16:00 hoijui Fixed in Version => 0.83.0
2011-09-09 16:00 hoijui Resolution open => fixed
+Issue History